# Note that this is NOT a relocatable package
%define nam 	gdk-pixbuf
%define ver      0.7.0
%define rel      1mdk

%define prefix /usr
%define sysconfdir /etc
%define localstatedir /var/lib

Summary: An image loading and rendering library for Gdk.
Name: %nam
Version: %ver
Release: %rel
Copyright: LGPL
Group: System/Libraries
Source: ftp://ftp.gnome.org/pub/GNOME/sources/stable/%{nam}/%{nam}-%{ver}.tar.bz2
BuildRoot: /var/tmp/%{name}-root
URL: http://www.gnome.org/
Prefix: %{prefix}
%description
The GdkPixBuf library provides a number of features:
 - Image loading facilities.
 - Rendering of a GdkPixBuf into various formats:
   drawables (windows, pixmaps), GdkRGB buffers.

%package devel
Summary: Development tools for GdkPixBuf applications.
Group: Development/GNOME and GTK+
Requires: gdk-pixbuf = %{ver}
Requires: libpng-devel
Requires: libtiff-devel
Requires: libjpeg-devel
Requires: zlib-devel
Requires: libgr-devel
Requires: gtk+-devel
Requires: libungif-devel
Requires: XFree86-devel

%description devel
The header files, static libraries and documentation needed for
developing GdkPixBuf applications. GdkPixBuf is an image loading and rendering
library for Gdk.

Install the imlib-devel package if you want to develop Imlib applications.
You'll also need to install the gdk-pixbuf package.

%prep
%setup -q 

%build

[ -f ./autogen.sh ] && {
CFLAGS="$RPM_OPT_FLAGS" sh ./autogen.sh --prefix=/usr \
	--sysconfdir=%{sysconfdir}  --localstatedir=%{localstatedir}
} || { \
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --sysconfdir=%{sysconfdir} \
					--localstatedir=%{localstatedir}
}

uname -a | grep -q SMP && {
    make -j 2
} || {
    make
}


%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{prefix} \
 	 sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} \
	 localstatedir=$RPM_BUILD_ROOT%{localstatedir} install

# (fg) timescale is in a strange place...
install -m 755 $RPM_BUILD_DIR/%{name}-%{version}/gdk-pixbuf/pixops/timescale $RPM_BUILD_ROOT/usr/bin

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS README TODO doc/*.txt doc/html

%{prefix}/lib/lib*.so.*
%{prefix}/lib/gdk-pixbuf/loaders/lib*.so*
%{prefix}/bin/timescale

%files devel
%defattr(-,root,root)
%{prefix}/bin/*-config
%{prefix}/lib/*.a
%{prefix}/lib/*.so
%{prefix}/lib/gdk-pixbuf/loaders/*a
%{prefix}/include/gdk-pixbuf
%dir %{prefix}/share/aclocal
%{prefix}/share/aclocal/*
%{prefix}/lib/*.sh
%{prefix}/share/gnome/html/*

%changelog
* Tue Apr 25 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7.0-1mdk
- release for gnome-core 1.1.9 from helix.
- stable version
- add doc files 

* Thu Apr 13 2000 Daouda Lo <daouda@mandrakesoft.com> 0.6.0-6mdk
- having some problems to build 1.1.8 on top of gdk_pixbuf 0.7.0
- retro build.

* Thu Apr 13 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7.0-1mdk
- release 0.7.0

* Wed Apr 12 2000 Daouda Lo <daouda@mandrakesoft.com> 0.6.0-5mdk
- The <LIBRARY>Conf.sh missing file cause gnome-core failed at building!
- SMP build/check

* Wed Apr 12 2000 Daouda Lo <daouda@mandrakesoft.com> 0.6.0-4mdk
- rebuild for near future gnome (used in Helix).
- build with %{prefix} is suitable
- many minor changes in file sections

* Wed Apr 05 2000 Francis Galiegue <fg@mandrakesoft.com> 0.6.0-3mdk

- Changed group for -devel
- Some spec file corrections

* Wed Mar 22 2000 Francis Galiegue <fg@mandrakesoft.com> 0.6.0-2mdk

- Rebuilt on kenobi

* Mon Mar 13 2000 Francis Galiegue <francis@mandrakesoft.com> 0.6.0-1mdk

- 0.6.0
- Changed group to match those of 7.1
- Spec file corrections
- Let spec-helper do its job

* Mon Jan 24 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- updated to 0.5.0

* Mon Nov 01 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- First mandrake package

